Subject: Re: [PATCH net] net: try harder to not reuse ifindex when moving interfaces

From: Jiri Benc <[email-masked]>
Date: Mon, 19 Oct 2015 11:06:49 +0200

On Sun, 18 Oct 2015 08:11:58 -0700, Alexei Starovoitov wrote:
> it looks dangerous.
> Does it mean that 'for (4B) { create new dev; free old dev; }
> will keep incrementing that max index and dos it eventually?

This is not changed by this patch in any way. As for the current
behavior (with or without my patch), by creating and deleting an
interface, the max index indeed keeps incrementing. There's no DoS,
however, as the index simply wraps to 1 when reaching maxint. See
dev_new_index(). This is something I count on in this patch.

 Jiri

-- 
Jiri Benc